﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using HeuristicLab.Core.Views;
using HeuristicLab.MainForm;
using HeuristicLab.MainForm.WindowsForms;
using HeuristicLab.Problems.DataAnalysis;
using HeuristicLab.Data.Views;
using HeuristicLab.Analysis;

namespace HeuristicLab.DataPreprocessing.Views {

  [View("Line Chart View")]
  [Content(typeof(LineChartContent), false)]
  public partial class LineChartView : ItemView {

    private DataTable dataTable;

    public LineChartView() {
      InitializeComponent();
    }

    private void InitDataTable() {
      dataTable = new DataTable("LineChart");
      ILineChartLogic logic = Content.LineChartLogic;
      logic.FillDataTable(dataTable);
    }

    public new LineChartContent Content {
      get { return (LineChartContent)base.Content; }
      set { base.Content = value; }
    }

    protected override void OnContentChanged() {
      base.OnContentChanged();
      if (Content != null) {
        InitDataTable();
        InitVariablesListBox();
        viewHost.Content = dataTable;

      }
    }

    private void InitVariablesListBox() {
      ILineChartLogic logic = Content.LineChartLogic;

      //foreach (var variableName in logic.GetVariableNames()) {
      //  variablesListBox.Items.Add(variableName,true); 
      //}
    }

    private void variablesListBox_ItemCheck(object sender, ItemCheckEventArgs e) {
      //string item = variablesListBox.Items[e.Index] as string;

    }
  }
}


